#
# spec file for package perl-Cookie-XS
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Cookie-XS
Version:        0.11
Release:        4.1
License:        GPL+ or Artistic
%define cpan_name Cookie-XS
Summary:        HTTP Cookie parser in C (Please use CGI::Cookie::XS instead)
Url:            http://search.cpan.org/dist/Cookie-XS/
Group:          Development/Libraries/Perl
#Source:         http://www.cpan.org/authors/id/A/AG/AGENT/Cookie-XS-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildRequires:  perl(CGI::Cookie::XS) >= 0.15
BuildRequires:  perl
BuildRequires:  perl-macros
Requires:       perl(CGI::Cookie::XS) >= 0.15
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{perl_requires}

%description
*WARNING: This module is obsolete now; please use CGI::Cookie::XS instead.*

This module implements a very simple parser for cookies used in HTTP
applications. We've found the CGI::Simple::Cookie manpage and the
CGI::Cookie manpage rather slow according to the profiling results for our
the OpenResty manpage project, hence the rewrite in C.

This library is still in *pre-alpha* stage and the API is still in flux.
We're just following the "release early, releaes often" guideline. So
please check back often ;)

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes README

%changelog
* Wed Jan 19 2011 coolo@novell.com
- initial package 0.11
  * created by cpanspec 1.78.03
